> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter detalhes do grupo

> Obter detalhes de um grupo específico de IdP nesta Enterprise

Requer uma chave de API pessoal de administrador da Enterprise.

Retorna informações detalhadas sobre um grupo específico de IdP (Identity Provider) da Enterprise, incluindo suas organizações associadas e funções.


## OpenAPI

````yaml pt-BR/v2-openapi.yaml GET /v2/enterprise/groups/{group_name}
openapi: 3.1.0
info:
  description: API Devin v2 com chaves de API pessoais para administradores do Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/groups/{group_name}:
    get:
      tags:
        - groups
      summary: Endpoint de detalhes do grupo Enterprise
      operationId: enterprise_group_details_endpoint_v2_enterprise_groups__group_name__get
      parameters:
        - in: path
          name: group_name
          required: true
          schema:
            title: Group Name
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseGroupResponse'
          description: Resposta bem-sucedida
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
components:
  schemas:
    EnterpriseGroupResponse:
      properties:
        group_name:
          title: Group Name
          type: string
        org_count:
          title: Org Count
          type: integer
        role_by_org_id:
          additionalProperties:
            type: string
          title: Role By Org Id
          type: object
      required:
        - group_name
        - org_count
        - role_by_org_id
      title: EnterpriseGroupResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: >-
        Chave de API pessoal (apk_user_*) somente para administradores do
        Enterprise
      scheme: bearer
      type: http

````